﻿Imports System.Drawing
Imports MindFusion.Diagramming
Imports MindFusion.Diagramming.WebForms
Imports MindFusion.Svg

Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then

            diagramView.Behavior = Behavior.Modify
            diagramView.Diagram.AutoResize = AutoResize.None
            diagramView.Diagram.Bounds = New RectangleF(0, 0, 135, 135)

            Dim image = System.Drawing.Image.FromFile(Server.MapPath("parking.png"))
            diagramView.Diagram.BackgroundImage = image

            AddNode(New RectangleF(55, 5, 25, 25), "sign.svg", True)
            AddNode(New RectangleF(105, 85, 25, 25), "car1.svg", False)
            AddNode(New RectangleF(10, 85, 25, 25), "car2.svg", False)
            AddNode(New RectangleF(105, 45, 25, 25), "car3.svg", False)
        End If
    End Sub


    Protected Sub btnAdd_Click(sender As Object, e As EventArgs) Handles btnAdd.Click
        Dim r = New Random()
        Dim index = r.Next(1, 5)
        AddNode(New RectangleF(55, 30, 25, 25), "car" + index.ToString() + ".svg", False)
    End Sub

    Protected Sub btnReset_Click(sender As Object, e As EventArgs) Handles btnReset.Click
        diagramView.Diagram.ClearAll()
        AddNode(New RectangleF(55, 5, 25, 25), "sign.svg", True)
    End Sub

    Protected Sub AddNode(bounds As RectangleF, fileName As String, locked As Boolean)
        Dim node = diagramView.Diagram.Factory.CreateSvgNode(bounds)
        node.Transparent = True
        node.Locked = locked
        Dim content = New SvgContent()
        content.Parse(Server.MapPath(fileName))
        node.Content = content
    End Sub
End Class